/**
  *****************************************************************************
  * @file    sys_bc_qc_hook.h
  * @author  Solution Team
  * @version V1.00
  * @date    09-November-2023
  * @brief   System BC/QC hook implimentation
  *****************************************************************************
  * @attention 
  *  Copyright (c) 2017 - 2023 Unicmicro Co., Ltd. 
  *  All Rights Reserved. 
  *****************************************************************************
  */
 
#ifndef SYS_BC_QC_HOOK_H
#define SYS_BC_QC_HOOK_H


#include "drv_gpio.h"
#include "ufcs.h"

#if SYS_UFCS_ENABLED

extern volatile BC_QC_INFO_t g_usbc_qc_info;

void sys_bc_qc_init(void);
void sys_bc_qc_disable(void);
u32_t sys_bc_usbc_volt_get(BC_QC_VOLT_INTF_TYPE_t type);
bool_t sys_bc_usbc_vbus_set(u32_t volt);
void sys_bc_usbc_src_dpdm_mode_set(BC_SRC_DPDM_MODE_t mode);
void sys_bc_connected(void);

#endif

#endif /* #ifndef SYS_BC_QC_HOOK_H */

